default: build compress

build:
	@echo "Building the project..."
	-mkdir -p ./bin
	go build -ldflags="-H windowsgui -s -w" -o ./bin/OmnissiahBlessing.exe

compress:
	@echo "Compressing the executable..."
	upx --best --lzma ./bin/OmnissiahBlessing.exe